Name:        dci-blog
Version:     0.1.1
Release:     1.202410221018git2767f535%{?dist}
Summary:     The Official blog of Distributed-CI

License:     ASL2.0
URL:         https://github.com/redhat-cip/dci-blog
Source0:     dci-blog-%{version}.tar.gz
BuildArch:   noarch

Requires:    httpd
BuildRequires:  python3
BuildRequires:  python3-rpm-macros

%description
The Official blog of Distributed-CI ready to be served by a web server.

%prep
%setup -c

%build
rm -rf venv
%{__python3} -m venv venv
%{_builddir}/dci-blog-%{version}/venv/bin/python -m pip install --upgrade pip
LANG=en_US.UTF-8 %{_builddir}/dci-blog-%{version}/venv/bin/python -m pip install -r requirements.txt
%{_builddir}/dci-blog-%{version}/venv/bin/pelican ./content -o ./output -s ./publishconf.py

%install
install -d %{buildroot}/var/www/html/blog
cp -r output/* %{buildroot}/var/www/html/blog

%files
/var/www/html/blog/*

%changelog
* Mon Sep 19 2022 Frederic Lepied <flepied@redhat.com> 0.1.1-1
- fix build to use publishconf.py

* Thu Feb 24 2022 Guillaume Vincent <gvincent@redhat.com> 0.1.0-1
- Initial commit
